import submit from './submit.js';

/**
 * 业务服务调用
 */
//服务接口

/**
 * 后端接口入口
 */
const getAccessToken = "/oauth/token";

/**
 * 后端接口入口
 */
const getData = "/api/getData";

/**
 * 地方行政区划接口入口
 */
const getAdmdvs = "/commonApi/getCity";

/**
 * 文件上传
 */
const upload = "/file/upload";

/**
 * 文件下载
 */
const downLoad = "/api/getFile";

/**
 * 调用支付宝人脸识别
*/
const aliFace = "/user/aliFace";

/**
 * 用户登录
 */
const appLogin ="/user/doLogin";

/**
 * 手机号验证（是否已注册）
 */
const sendRegisterMsg ="/user/sendRegisterMsg";
/**
 * 短信验证码验证
 */
const verfication = "/user/verfication";
/**
 * 
 */
const register = "/user/register";

/**
 *
 */
const authUserZhy = "/user/authUserZhy";
/**
 * 退出登录
 */
const loginOut = "/user/loginOut";

/**
 * 公共服务接口
 */
const sendMSg = "/commonApi/sendMSg";

/**
 * 验证短信验证码
 */
const verifyMobileCode = "/commonApi/verifyMobileCode";

const commonApi = "/commonApi/getData";

/**
 * 获取省市
 */
const getCity = "/commonApi/getCity";

/**
 * 获取码值
 */
const getDict = "/commonApi/getDict";

/**
 * 获取异地备案知情同意书
 */
const getSiMsg = "/api/getSiMsg";

/**
 * 咨询
 */
const getIrs = "/commonApi/getIrs";

/**
 * app慢病申报
 */
const addOpspInfo = "/api/addOpspInfo";

/**
 * app慢病年审
 */
const addOpspCheckYearInfo = "/api/addOpspCheckYearInfo";

/**
 * app慢病变更
 */
const modifyOpspInfo = "/api/modifyOpspInfo";


/**
 * 电子社保卡查询
 */
const queryEsscMsg = "/api/queryEsscMsg";

/**
 * 特殊药品查询
 */
const specialDrugs = "/api/specialDrugs";

/**
 * 我的办件
 */
const getBusi = "/api/getBusi";

/**
 * 通过身份证号查询医保电子凭证
 */
const queryEchsByAac002 = "/api/queryEchsByAac002";
/**
 * 查询医保电子凭证激活状态
 */
const queryChsState = "/api/queryChsState";
/**
 * 展示医保电子凭证
 */
const showCode = "/api/showCode";
/**
 * 获取激活医保电子凭证H5链接
 */
const queryChsSetPwd = "/api/queryChsSetPwd";
/**
 * 实名认证
 */
const authUser = "/user/authUser";

/**
 * 银行卡信息变更
 */
const updatePsnBankInfo = "/api/updatePsnBankInfo";

/**
 * 消息查询
 */
const getMgs = "/commonApi/getMgs";

/**
 * 消息标记已读
 */
const hiRead= "/api/hiRead";
/**
 * 消息标记已读（全部）
 */
const hiReadAll= "/api/hiReadAll";
/**
 * 查询在APP是否申领过医保电子凭证
 */
const queryEchs = "/api/queryEchs";
/**
 * 将医保电子凭证激活数据写进app_user表
 */
const regEchs ="/api/regEchs";
/**
 * 将医保电子凭证激活数据写进app_user_bind表
 */
const insertAppUserBind = "/api/insertAppUserBind";
/**
 * 特药订单预结算
 */
const preSettlement = "/api/preSettlement";
/**
 * 查询是否开通医保线上支付
 */
const queryKite = "/api/queryKite";
/**
 * 开通医保线上支付
 */
const openMedical = "/api/openMedical";
/**
 * 电子社保卡签发前验证
 */
const checkMdescc = "/api/checkMdescc";
/**
 * 电子社保卡认证接口
 */
const encryMdescc = "/api/encryMdescc";
/**
 * 特药结算
 */
const settlement = "/api/settlement";
/**
 * 新增社保卡信息
 */
const bindCard = "/user/bindCard";
/**
 * 修改密码
 */
const changePwd = "/user/changePwd";
/**
 * 重置密码
 */
const resetPwd = "/user/resetPwd";
/**
 * 注销账号
 */
const revoke = "/user/revoke";
/**
 * 三方服务
 */
const otherServer = "/commonApi/getOtherServer";
/**
 *查询当前用户是否开通慢特病功能
 */
const checkAuth = "/api/checkAuth"
/**
 * 获取电子社保卡加密串
 */
const getEsscSignisIndep = "/api/getEsscSignisIndep"
/**
 * 验证并获取电子社保卡信息
 */
const validateEsscMsg = "/api/validateEsscMsg"
const getEsscSign = "/api/getEsscSign"
const getOpsFile = "/api/getOpsFile"
const getInSuFile = "/api/getInSuFile"
const getTemplate = "/api/getTemplate"
//门诊产前检查登记
const addMatnOptExamReg = "/api/addMatnOptExamReg";
/**
 * 医保政策查询
 */
const getArt = "/commonApi/getArt";
/**
 * 生成图形验证码
 */
const getCaptcha = "/commonApi/getCaptcha";

const getPubServerToken = "/api/getPubServerToken";

const getPubServer = "/commonApi/getPubServer";

const updateServer = "/api/updateServer";

/**
 * 获取短信验证码
 */
const getMsgCode = "/user/getMsgCode";

/**
 * 单位注册第一步
 */
const addEmpUserInit = "/user/addEmpUserInit";

/**
 * 单位注册第二步
 */
const addEmpUser = "/user/addEmpUser";

//服务方法
const api={
	getPubServer(data){
		return submit({
			path:getPubServer,
			data:data
		})
	},
	//根据第三方授权码创建本地token
	getData(data){
		return submit({
			path:getData,
			data:data
		})
	},
	getOtherServer(data){
		return submit({
			path:otherServer,
			data:data
		})
	},
    downLoad(data){
        return submit({
            path:downLoad,
            data:data
        })
    },
	upload(data){
		return submit({
			path:upload,
			data:data
		})
	},
	//根据第三方授权码创建本地token
	commonApi(data){
		return submit({
			path:commonApi,
			data:data
		})
	},
	updatePsnBankInfo(data){
		return submit({
			path:updatePsnBankInfo,
			data:data
		})
	},
	verifyMobileCode(data){
		return submit({
			path:verifyMobileCode,
			data:data
		})
	},
    getDict(data){
        return submit({
            path:getDict,
            data:data
        })
    },
	getAdmdvs(data){
		return submit({
			path:getAdmdvs,
			data:data
		})
	},
	aliFace(data){
		return submit({
			path:aliFace,
			data:data
		})
	},
	appLogin(data){
		return submit({
			path:appLogin,
			data:data
		})
	},
	sendRegisterMsg(data){
		return submit({
			path:sendRegisterMsg,
			data:data
		})
	},
	verfication(data){
		return submit({
			path:verfication,
			data:data
		})
	},
	register(data){
		return submit({
			path:register,
			data:data
		})
	},
	loginOut(data){
		return submit({
			path:loginOut,
			data:data
		})
	},
	getAccessToken(data){
		return submit({
			path:getAccessToken,
			data:data
		})
	},
	addOpspCheckYearInfo(data){
		return submit({
			path:addOpspCheckYearInfo,
			data:data
		})
	},
	modifyOpspInfo(data){
		return submit({
			path:modifyOpspInfo,
			data:data
		})
	},
	sendMSg(data){
		return submit({
			path:sendMSg,
			data:data
		})
	},
	getCity(data){
		return submit({
			path:getCity,
			data:data
		})
	},
	getSiMsg(data){
		return submit({
			path:getSiMsg,
			data:data
		})
	},
	getIrs(data){
		return submit({
			path:getIrs,
			data:data
		})
	},
	queryEsscMsg(data){
		return submit({
			path:queryEsscMsg,
			data:data
		})
	},
	queryKite(data){
		return submit({
			path:queryKite,
			data:data
		})
	},
	specialDrugs(data){
		return submit({
			path:specialDrugs,
			data:data
		})
	},
	getBusi(data){
		return submit({
			path:getBusi,
			data:data
		})
	},
	queryEchsByAac002(data){
		return submit({
			path:queryEchsByAac002,
			data:data
		})
	},
	queryChsState(data){
		return submit({
			path:queryChsState,
			data:data
		})
	},
	showCode(data){
		return submit({
			path:showCode,
			data:data
		})
	},
	queryChsSetPwd(data){
		return submit({
			path:queryChsSetPwd,
			data:data
		})
	},
	authUserZhy(data){
		return submit({
			path:authUserZhy,
			data:data
		})
	},
	authUser(data){
		return submit({
			path:authUser,
			data:data
		})
	},
	getMgs(data){
		return submit({
			path:getMgs,
			data:data
		})
	},
	hiRead(data){
		return submit({
			path:hiRead,
			data:data
		})
	},
	queryEchs(data){
		return submit({
			path:queryEchs,
			data:data
		})
	},
	hiReadAll(data){
		return submit({
			path:hiReadAll,
			data:data
		})
	},
	regEchs(data){
		return submit({
			path:regEchs,
			data:data
		})
	},
	insertAppUserBind(data){
		return submit({
			path:insertAppUserBind,
			data:data
		})
	},
	preSettlement(data){
		return submit({
			path:preSettlement,
			data:data
		})
	},
	openMedical(data){
		return submit({
			path:openMedical,
			data:data
		})
	},
	checkMdescc(data){
		return submit({
			path:checkMdescc,
			data:data
		})
	},
	encryMdescc(data){
		return submit({
			path:encryMdescc,
			data:data
		})
	},
	settlement(data){
		return submit({
			path:settlement,
			data:data
		})
	},
	bindCard(data){
		return submit({
			path:bindCard,
			data:data
		})
	},
	changePwd(data){
		return submit({
			path:changePwd,
			data:data
		})
	},
	resetPwd(data){
		return submit({
			path:resetPwd,
			data:data
		})
	},
	revoke(data){
		return submit({
			path:revoke,
			data:data
		})
	},
	addOpspInfo(data){
		return submit({
			path:addOpspInfo,
			data:data
		})
	},
	checkAuth(data){
		return submit({
			path:checkAuth,
			data:data
		})
	},
	getEsscSignisIndep(data){
		return submit({
			path:getEsscSignisIndep,
			data:data
		})
	},
	validateEsscMsg(data){
		return submit({
			path:validateEsscMsg,
			data:data
		})
	},
	getEsscSign(data){
		return submit({
			path:getEsscSign,
			data:data
		})
	},
	getOpsFile(data){
		return submit({
			path:getOpsFile,
			data:data
		})
	},
	getInSuFile(data){
		return submit({
			path:getInSuFile,
			data:data
		})
	},
	getTemplate(data){
		return submit({
			path:getTemplate,
			data:data
		})
	},
	addMatnOptExamReg(data){
		return submit({
			path:addMatnOptExamReg,
			data:data
		})
	},
	getArt(data){
		return submit({
			path:getArt,
			data:data
		})
	},
	getCaptcha(data){
		return submit({
			path:getCaptcha,
			data:data
		})
	},
	getPubServerToken(data){
		return submit({
			path:getPubServerToken,
			data:data
		})
	},
	getMsgCode(data){
		return submit({
			path:getMsgCode,
			data:data
		})
	},
	addEmpUserInit(data){
		return submit({
			path:addEmpUserInit,
			data:data
		})
	},
	addEmpUser(data){
		return submit({
			path:addEmpUser,
			data:data
		})
	},
	updateServer(data){
		return submit({
			path:updateServer,
			data:data
		})
	},
}
export default api;