import store from '../store/index.js'

/**
 * 文件用于mdlife-api封装使用
 */
const base = {
	
	getDeviceId(){//获取设备ID
		if(process.env.NODE_ENV === 'development'){
			return '01123rew1';
		}else{
			let deviceId;
			if(md.systemType=="android"){
				
				return new Promise((resolve, reject) => {
					
					deviceId = md.getDeviceByUUId();
					resolve(deviceId)
				});
			}else if(md.systemType=="ios"){
				return new Promise((resolve, reject) => {
					
					deviceId = md.deviceId();
					resolve(deviceId)
				});
				
			}else{
				return new Promise((resolve, reject) => {
					md.hmAuthLogin({}, (res) => {
						console.log("鸿蒙设备----"+res.data.unionID )
						resolve(res.data.unionID )
					})
				});
				
			}
		}
		
	},
	getSysName(){
		let sysName = md.systemType;
		return sysName;
	},
	getBizCode(){
		if(process.env.NODE_ENV === 'development'){
			
		}else{
			try{
				aliface.getBizCode(ret=>{
					
					if(ret.code==0){
						let bizCode = ret.bizCode;
						uni.setStorageSync("biz_code",bizCode);
						console.log("biz_code的值:"+bizCode)
					}
				})
			}catch(e){
				console.log("鸿蒙系统获取不到biz_code");
				uni.setStorageSync("biz_code",'');
			}
			
		}
		
		
	}
}

export default base
