import api from './api.js'
import store from '../store/index.js'
import config from './config.js'

/**
 * 该文件用于公共方法封装
 */
const methods = {
	
	showMyCode() {
		if (store.state.chnlType === config.chnlType.wx) {
			wx.navigateToMiniProgram({
				appId: 'wxe1022cca111d18be',
				path: '/pages/cert/bind/bind?from=GIFnG952DlhO8rEfrXWUEw.=&cityid=410000',
				envVersion: 'release'
			})
		} else {
			my.ap.navigateToAlipayPage({
				// alipays://platformapi/startapp?appId=60000155&chInfo=ch_${appid}，${appid} 替换为自己的16位 appid，例如：
				path: 'alipays://platformapi/startapp?appId=77700284&page=pages%2Fmedical%2Findex',
				success: (res) => {
					// my.alert({
					// 	content: '系统信息' + JSON.stringify(res)
					// });
				},
				fail: (error) => {
					// my.alert({
					// 	content: '系统信息' + JSON.stringify(error)
					// });
				}
			})
			// let url='code'
			// uni.navigateTo({
			// 	url: "/pages/serverView/serverView?url=" + url
			// })
			// my.navigateToMiniProgram({
			// 	appId: '77700284',
			// 	path: '/pages/Fmedical/Findex?provideId=2088931847505651&chInfo=XSyibaochaxunqianzhi',
			// 	//path: '/pages/index/index?provideId=2088931847505651&chInfo=XSyibaochaxunqianzhi&returnUrl=alipays%3A%2F%2Fplatformapi%2Fstartapp%3FappId%3D2021002104634394%26page%3Dpages%252Findex%252Findex',
			// 	success: (res) => {
			// 		console.log(123)
			// 	},
			// 	fail: (error) => {
			// 		console.log(222)
			// 	}
			// })
		}
	},
	appLogin(data, callback) {
		api.getToken(data).then(res => {
			if (res.code === 0) {
				uni.setStorage({
					key: 'token',
					data: res.data
				})
				store.dispatch('commitToken', res.data);
				if (callback) {
					callback(res.data)
					return
				}
				this.getUser(res.data);
			} else {
				if (callback) {
					callback(null)
				}
				uni.showModal({
					title: '温馨提示',
					showCancel: false,
					content: res.message || '获取用户数据失败，请重新尝试！'
				});
			}
		}).catch(err => {
			callback(null)
			console.log(err);
		})
	},
	getUser(token) {
		api.getUser(token).then(res => {
			store.dispatch('commitUserInfo', res.data);
			setTimeout(() => {
				if (store.state.chnlType === config.chnlType.ap) {
					console.log("store.state.path===" + store.state.path)
					if ("/pages/index/index" === store.state.path || "pages/index/index" === store
						.state.path) {
						return
					}
					//以下代码处理从生活号进入具体功能页面问题
					uni.navigateTo({
						url: store.state.path
					});
				}
			}, 1000);
		})
	},
	login(successFn) {
		uni.login({
			success: function(res) {
				// 获取用户信息
				uni.getUserInfo({
					success: function(res) {
						if (successFn) {
							successFn(res);
						}
					}
				});
			}
		});
	},
	getAutoCode(obj, isRelogin) {
		//取消重复登录清空Authcode操作
		/* if(isRelogin){
			store.dispatch('commitAuthcode','')
		} */
		if (!store.state.authCode) {
			this.auto(obj);
		}
		uni.getStorage({
			key: 'token',
			success: data => {
				if (data.data) {
					api.verifyToken(data.data).then(res => {
						if (res.data) {
							store.dispatch('commitToken', data.data);
							this.getUser(data.data);
						} else {
							// this.getAutoCode(obj);
							if (!store.state.authCode) {
								/* uni.showModal({
									title: '提示',
									showCancel: false,
									content: '未获取到您的授权信息，部分功能会受到限制，请点击确定前往授权',
									success: (res) => {
										if(res.confirm){
											this.auto(obj);
										}
									}
								}); */
								this.auto(obj);
							} else {
								let data = {
									authCode: store.state.authCode,
									chnlType: store.state.chnlType
								}
								this.appLogin(data);
							}
						}
					})
				} else {
					if (!store.state.authCode) {
						/* uni.showModal({
							title: '提示',
							showCancel: false,
							content: '未获取到您的授权信息，部分功能会受到限制，请点击确定前往授权',
							success: (res) => {
								if(res.confirm){
									this.auto(obj);
								}
							}
						}); */
						this.auto(obj);
					} else {
						let data = {
							authCode: store.state.authCode,
							chnlType: store.state.chnlType
						}
						this.appLogin(data);
					}
				}
			},
			fail: error => {
				if (!store.state.authCode) {
					/* uni.showModal({
						title: '提示',
						content: '未获取到您的授权信息，部分功能会受到限制，请点击确定前往授权',
						success: (res) => {
							if(res.confirm){
								this.auto(obj);
							}
						}
					}); */
					this.auto(obj);
				} else {
					let data = {
						authCode: store.state.authCode,
						chnlType: store.state.chnlType
					}
					this.appLogin(data);
				}
			}
		})

	},
	auto(obj) {
		if (store.state.chnlType === config.chnlType.wx) {
			wx.navigateToMiniProgram({
				appId: 'wxe183cd55df4b4369',
				path: '/pages/bindcard/bindcard3/main?openType=getAuthCode&cityCode=410000&channel=AAGCE4PE24cgMRgw3pkTIpeU',
				envVersion: 'release'
			})
		} else {
			uni.login({
				scopes: 'auth_user',
				success: (res) => {
					if (res.code) {
						//授权成功
						let data = {
							authCode: res.authCode,
							chnlType: 6
						}
						//保存authCode
						store.dispatch('commitAuthcode', res.authCode)
						obj.$methods.appLogin(data)
						// .then(ret=>{
						//调用电子医保凭证  无法前端获取医保凭证激活状态，暂时屏蔽
						// my.navigateToMiniProgram({
						// 	appId: '2021001123625885',
						// 	path: '/pages/index/index?provideId=2088931847505651&chInfo=XSyibaochaxunqianzhi&returnUrl=alipays%3A%2F%2Fplatformapi%2Fstartapp%3FappId%3D2021002104634394%26page%3D'+ encodeURIComponent(encodeURIComponent(store.state.path)),
						// 	success: (res) => {
						// 		console.log(333)
						// 	},
						// 	fail: (error) => {
						// 		console.log(222)
						// 	}
						// })
						// })
					} else {

					}
				},
				fail: (res) => {
					console.log("登陆失败！")
				}
			})
		}
	},

	downLoad(file) {
		let path = file.base64String;
		let fileType = file.fileType || 'png';
		let filename = file.filename || '默认文件.png';
		if (filename.indexOf('.') === -1) {
			filename = filename + '.' + fileType;
		}
		if (store.state.chnlType === config.chnlType.wx) {
			const fs = wx.getFileSystemManager();
			fs.writeFile({
				filePath: `${wx.env.USER_DATA_PATH}/${filename}`,
				data: path,
				encoding: 'base64',
				success(res) {
					wx.saveImageToPhotosAlbum({
						filePath: `${wx.env.USER_DATA_PATH}/${filename}`,
						success: (res) => {
							console.log('success');
						},
						fail: res => {
							console.log(res);
						}
					})
				},
				fail(res) {
					console.error(res)
				}
			})
		} else {
			console.log('methods')
			const fs = my.getFileSystemManager();
			fs.writeFile({
				filePath: `${my.env.USER_DATA_PATH}/${filename}`,
				data: path,
				encoding: 'base64',
				success: (res) => {
					console.log(res);
					my.saveImage({
						url: `${my.env.USER_DATA_PATH}/${filename}`,
						success: res => {
							uni.showToast({
								title: "保存成功",
								icon: 'none'
							})
							console.log(res);
						}
					})
				}
			})
		}

	}

}
export default methods;
