import store from '../store/index.js'
import config from './config.js'
import rsaUtil from './rsaUtil.js'

/**
 * 业务请求
 */
const baseUrl=config.reqUrl||'';

import commonUtil from "./commonUtil";
const submit=function (options){
	
	options.method=options.method || 'post'
	let data = dealData(options.data)
	const reqData={
		method:options.method,
		url:dealUrl(options.path),
		data:data,
		header:dealHeader(options.method)
	}
	return new Promise((resolve,reject)=>{
		console.log("入参："+JSON.stringify(options))
		if(!options.data.mask){
			uni.showLoading({
				title: '加载中'
			});
		}
		/* uni.request({
			...reqData,
			success:res=>{
				defaultCallBack(res,options.data.mask,options);
				// let data = rsaUtil.decrypt(res.data);
				let data = res.data;
				console.log("返回值："+JSON.stringify(data))
				resolve(data);
			},
			fail:err=>{
				console.log(err)
				failCallBack(err,options.data.mask);
				reject(err)
			}
		}) */
		if (window.md && window.md.systemType=="harmony") {
			reqData.headers = dealHeader(options.method)
			reqData.data = {
				values: data
			}
			console.log(reqData)
			md.ajax(reqData,(ret, err) => {
				console.log(ret)
				if (ret) {
					let res = {
						statusCode: 200,
						header: ret.headers,
						data: ret.body
					}
					defaultCallBack(res,options.data.mask,options);
					// let data = rsaUtil.decrypt(res.data);
					let data = res.data;
					console.log("返回值："+JSON.stringify(data))
					resolve(data);
				} else {;
					 console.log(err)
					 failCallBack(err,options.data.mask);
					 reject(err)
				}
			})
		} else {
			uni.request({
				...reqData,
				success:res=>{
					defaultCallBack(res,options.data.mask,options);
					// let data = rsaUtil.decrypt(res.data);
					let data = res.data;
					console.log("返回值："+JSON.stringify(data))
					resolve(data);
				},
				fail:err=>{
					console.log(err)
					failCallBack(err,options.data.mask);
					reject(err)
				}
			})
		}
	})
}
function failCallBack(err,mask){
	if(!mask){
		uni.hideLoading();
	}
	if(err.errMsg.indexOf('timeout')>-1){
		uni.showToast({
			title:'连接超时,请检查网络！',
			icon:'none',
			duration:3000
		})
	}
	// if(err.errMsg.indexOf('fail')>-1){
	// 	uni.showToast({
	// 		title:'请求异常',
	// 		icon:'none',
	// 		duration:3000
	// 	})
	// }
}
function defaultCallBack(res,mask,options){
	if(!mask){
		uni.hideLoading();
	}
	if(res.statusCode==404){
		uni.showToast({
			title:'请求异常,请检查您的网络环境',
			icon:'none',
			duration:3000
		})
	}

	 if(res.data.code != 1 && res.data.sub_code == "USER_OTHER_PLACE"){
		uni.clearStorageSync();
		uni.showModal({
			title: '警告',
			content: '您的账号已在其他设备登录，请核实是否本人操作，如非本人操作，您的账号密码可能已泄露，为保障账户安全，请尽快修改密码！',
			cancelText:'重新登录',
			confirmText:'修改密码',
			success: function (res) {
				if (res.confirm) {
					console.log('用户点击确定');
					uni.navigateTo({
						url:"/pages/self/passwordPwd"
					})
				} else if (res.cancel) {
					uni.navigateTo({
						url:"/pages/login/login"
					})
					console.log('用户点击取消');
				}
			}
		});
	}
	if(res.data.code != 1 && (res.data.sub_code == "USER_OUT" || res.data.sub_code == "USER_TOKEN_EXPIRES")){
		if(options.data.yfw){
			
			commonUtil.gotoYfwLogin('')
			
		}else{
			
			commonUtil.gotoLogin('')
			
		}
		
	}
}
function dealUrl(url){
	if(url.indexOf('http')===-1&& baseUrl){
		url=baseUrl+url;
	}
	return url;
}

function dealData(data){
	if(data.deviceId ==undefined || data.deviceId =="undefined" || data.deviceId ==""){
		const deviceId = localStorage.getItem("deviceId")
		data.deviceId = deviceId;
	}
	if(data.userName ==undefined || data.userName =="undefined" || data.userName ==""){
		const userName = localStorage.getItem("userName")
		data.userName = userName;
	}
	//添加用户信息与设备id
	if(data.deviceId !=undefined && data.deviceId !="undefined" && data.deviceId !=""){
		localStorage.setItem("deviceId",data.deviceId);
	}
	if(data.userName !=undefined && data.userName !="undefined" && data.userName !=""){
		let userName = localStorage.getItem("userName");
		if(userName ==undefined || userName =="undefined" || userName ==""){
		   localStorage.setItem("userName",data.userName);
		}
	}
	let base64 = data.base64;
	let base64String = data.base64String;
	//移除base64 属性
	delete data['base64'];
	delete data['base64String'];
	let en =rsaUtil.encrypt(data);
	let access_token = localStorage.getItem("access_token");
	let param = {}
	param.access_token = access_token;
	param.data = en;
	if(base64 !='undefined' && base64 !=undefined){
		param.base64 = base64;
	}
	if(base64String !='undefined' && base64String !=undefined){
		param.base64String = base64String;
	}
	return param
}
function dealHeader(method){
	let header = {}
	header['Content-Type']='application/x-www-form-urlencoded';
	header.charset = 'utf-8';
	// header['Content-Type'] = method.toLowerCase() == 'get' ? 'application/json' : 'application/x-www-form-urlencoded';
	header.token=store.state.token;
	header.chnlType=''+store.state.chnlType;
	
	return header;
}

export default submit