import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

const store = new Vuex.Store({
	state: {
		currentKey: 0,
		chnlType: 4,
		authCode:false,
		token:'',
		path:'/pages/index/index',
		userInfo:{}
	},
	actions: {
		commitCurrentKey: ({
			commit
		}, currentKey) => commit('setCurrentKey', currentKey),
		commitChnlType: ({
			commit
		}, chnlType) => commit('setChnlType', chnlType),
		commitAuthcode: ({
			commit
		}, authCode) => commit('setAuthcode', authCode),
		commitToken: ({
			commit
		}, token) => commit('setToken', token),
		commitUserInfo: ({
			commit
		}, userInfo) => commit('setUserInfo', userInfo),
		commitPath: ({
			commit
		}, path) => commit('setPath', path),
	},
	mutations: {
		setCurrentKey(state, currentKey) {
			state.currentKey = currentKey;
		},
		setChnlType(state, chnlType) {
			state.chnlType = chnlType;
		},
		setAuthcode(state, authCode) {
			state.authCode = authCode;
		},
		setToken(state, token) {
			state.token = token;
		},
		setUserInfo(state, userInfo) {
			state.userInfo = userInfo;
			
			//发出授权用户信息存储成功事件
			uni.$emit('setUserInfoSuccess');
		},
		setPath(state, path) {
			state.path = path;
		},
	}
})

export default store;
